[build-system]
requires = ["setuptools", "setuptools-scm"]
build-backend = "setuptools.build_meta"

[project]
name = "ownchatbot"
version = "1.1.9"
authors = [
    {name = "DeadTOm", email = "deadtom@deadtom.me"},
]
description = "A chatbot for Owncast"
readme = "README.md"
requires-python = ">=3.11.2"
license = "MIT"
classifiers = [
    "Programming Language :: Python :: 3",
    "Operating System :: OS Independent",
]
dependencies = [
        'flask',
        'requests',
        'emoji',
        'apscheduler',
        'pkce',
        'flask-cors'
]
keywords = ["streaming", "chatbot", "owncast"]

[project.urls]
Homepage = "https://git.deadtom.me/deadtom/OwnchatBot"
Issues = "https://git.deadtom.me/issues"
